/* grid */

.Grid_Container {
	position: relative;
	display: grid;
	min-width: 0;
	grid-template-columns: auto 1fr;
	width: 100%;
	min-height: 100%;
	box-sizing: border-box;
	padding-bottom: 30px;
	padding-top: 30px;
	margin: -20px 0 0 0;
	top: 0;
	z-index: 2;
	background-color: #ededed;
}


.Column_1{
	width: auto;
	height: 100%;
	margin: 0 0 0 0;
}

.Column_2{
	display: flex;
	flex-direction: column;
	height: auto;
	margin-left: 20px;
	width: 95%;
}

/* navbar list*/
#main-toggle-btn {
	width: 100%;
    outline: none; /* Hide the ugly default */
    display: inline-block;
	text-align: center;
	line-height: 1.75;
	font-size: 2rem;
	font-weight: bold;
	justify-content: center;
    transition: background-color 0.3s;
	color: #fff;
}

#main-toggle-btn:focus {
    outline: 3px solid #005fcc; /* Shows exactly where the "cursor" is */
    outline-offset: 2px;
}

#Menu_Btn {
	color: #fff;
	transition: color 0.3s ease;
}

#Menu_Btn {
	color: #fff;
}

/* --- Sidebar Collapse/Expand Styling --- */
#sidebar {
     /* Default expanded width */ /* Position it on the screen */
	position: sticky;
	height: 100dvh;
	width: 240px;
    left: 0;
    top: 80px;
	margin-top:-30px;
	max-width: 240px;
	min-height: 100%;
    background-color: #000;
    transition: all 0.3s ease; /* Smooth transition for width/position */
    overflow: hidden; /* Hide horizontal overflow when collapsed */
}

#sidebar li{
	list-style-type: none;
}

#sidebar li a{
	text-decoration: none;
	color: #fff;
}

#sidebar li a.active{
	background-color:#333;
	color: #fff;
}

.Drop_Content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out; /* Smooth expansion/collapse */
    padding-left: 25px; /* Indent nested items */
}

/* Style the collapsible button to indicate state (optional) */
button.collapsible.active::after {
    
}

button.collapsible::after {
   
}

@media (max-width: 768px) {
    .Column_1 {
        display: none !important;
    }
}